%define module	django-userena

Name:		python-%{module}
Version:	2.0.1
Release:	%mkrel 1
Summary:	Complete user management application for Django
Group:		Development/Python
License:	BSD
URL:		https://github.com/bread-and-pepper/django-userena/
Source0:	https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
Patch0:		django-userena-2.0.1-mga-fix-setup-install_requires.patch
BuildArch:	noarch
BuildRequires:	pythonegg(2)(setuptools)

Requires:	python-html2text

%description
Userena is a Django application that supplies your Django
project with full account management.
It's a fully customizable application that takes care of the
signup, activation, messaging and more.
It's BSD licensed, which means you can use it commercially for free!

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Complete user management application for Django
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pythonegg(3)(setuptools)

%description -n python3-%{module}
Userena is a Django application that supplies your Django
project with full account management.
It's a fully customizable application that takes care of the
signup, activation, messaging and more.
It's BSD licensed, which means you can use it commercially for free!
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------
%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf django_userena.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc README.md docs
# list some files explicitly to avoid listing locale files twice
%{python2_sitelib}/userena/*.py*
%{python2_sitelib}/userena/contrib/
%{python2_sitelib}/userena/fixtures/
%{python2_sitelib}/userena/management/
%{python2_sitelib}/userena/migrations/
%{python2_sitelib}/userena/runtests/
%{python2_sitelib}/userena/south_migrations/
%{python2_sitelib}/userena/templates/
%{python2_sitelib}/userena/tests/
%{python2_sitelib}/django_userena-%{version}-py%{python2_version}.egg-info
# locale files
%lang(bg) %{python2_sitelib}/userena/locale/bg/LC_MESSAGES/django.?o
%lang(de) %{python2_sitelib}/userena/locale/de/LC_MESSAGES/django.?o
%lang(de_du) %{python2_sitelib}/userena/locale/de_du/LC_MESSAGES/django.?o
%lang(el) %{python2_sitelib}/userena/locale/el/LC_MESSAGES/django.?o
%lang(es) %{python2_sitelib}/userena/locale/es/LC_MESSAGES/django.?o
%lang(fr) %{python2_sitelib}/userena/locale/fr/LC_MESSAGES/django.?o
%lang(gl) %{python2_sitelib}/userena/locale/gl/LC_MESSAGES/django.?o
%lang(it) %{python2_sitelib}/userena/locale/it/LC_MESSAGES/django.?o
%lang(nb) %{python2_sitelib}/userena/locale/nb/LC_MESSAGES/django.?o
%lang(nl) %{python2_sitelib}/userena/locale/nl/LC_MESSAGES/django.?o
%lang(pl) %{python2_sitelib}/userena/locale/pl/LC_MESSAGES/django.?o
%lang(pt) %{python2_sitelib}/userena/locale/pt/LC_MESSAGES/django.?o
%lang(pt_BR) %{python2_sitelib}/userena/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ro) %{python2_sitelib}/userena/locale/ro/LC_MESSAGES/django.?o
%lang(ru) %{python2_sitelib}/userena/locale/ru/LC_MESSAGES/django.?o
%lang(tr) %{python2_sitelib}/userena/locale/tr/LC_MESSAGES/django.?o
%lang(zh_CN) %{python2_sitelib}/userena/locale/zh_CN/LC_MESSAGES/django.?o
%lang(zh_TW) %{python2_sitelib}/userena/locale/zh_TW/LC_MESSAGES/django.?o

%files -n python3-%{module}
%doc README.md docs
# list some files explicitly to avoid listing locale files twice
%{python3_sitelib}/userena/*py*
%{python3_sitelib}/userena/contrib/
%{python3_sitelib}/userena/fixtures/
%{python3_sitelib}/userena/management/
%{python3_sitelib}/userena/migrations/
%{python3_sitelib}/userena/runtests/
%{python3_sitelib}/userena/south_migrations/
%{python3_sitelib}/userena/templates/
%{python3_sitelib}/userena/tests/
%{python3_sitelib}/django_userena-%{version}-py%{python3_version}.egg-info
# locale files
%lang(bg) %{python3_sitelib}/userena/locale/bg/LC_MESSAGES/django.?o
%lang(de) %{python3_sitelib}/userena/locale/de/LC_MESSAGES/django.?o
%lang(de_du) %{python3_sitelib}/userena/locale/de_du/LC_MESSAGES/django.?o
%lang(el) %{python3_sitelib}/userena/locale/el/LC_MESSAGES/django.?o
%lang(es) %{python3_sitelib}/userena/locale/es/LC_MESSAGES/django.?o
%lang(fr) %{python3_sitelib}/userena/locale/fr/LC_MESSAGES/django.?o
%lang(gl) %{python3_sitelib}/userena/locale/gl/LC_MESSAGES/django.?o
%lang(it) %{python3_sitelib}/userena/locale/it/LC_MESSAGES/django.?o
%lang(nb) %{python3_sitelib}/userena/locale/nb/LC_MESSAGES/django.?o
%lang(nl) %{python3_sitelib}/userena/locale/nl/LC_MESSAGES/django.?o
%lang(pl) %{python3_sitelib}/userena/locale/pl/LC_MESSAGES/django.?o
%lang(pt) %{python3_sitelib}/userena/locale/pt/LC_MESSAGES/django.?o
%lang(pt_BR) %{python3_sitelib}/userena/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ro) %{python3_sitelib}/userena/locale/ro/LC_MESSAGES/django.?o
%lang(ru) %{python3_sitelib}/userena/locale/ru/LC_MESSAGES/django.?o
%lang(tr) %{python3_sitelib}/userena/locale/tr/LC_MESSAGES/django.?o
%lang(zh_CN) %{python3_sitelib}/userena/locale/zh_CN/LC_MESSAGES/django.?o
%lang(zh_TW) %{python3_sitelib}/userena/locale/zh_TW/LC_MESSAGES/django.?o


%changelog
* Fri Mar 25 2016 daviddavid <daviddavid> 2.0.1-1.mga6
+ Revision: 995234
- new version: 2.0.1
- rename and rediff patch0

* Sun Jan 03 2016 daviddavid <daviddavid> 1.5.1-2.mga6
+ Revision: 918848
- require django-guardian >= 1.3.1 instead

* Fri Jan 01 2016 daviddavid <daviddavid> 1.5.1-1.mga6
+ Revision: 918010
- new version: 1.5.1
- rename and rediff patch0
- update file list

* Wed Oct 07 2015 daviddavid <daviddavid> 1.4.1-2.mga6
+ Revision: 886830
- rebuild for python 3.5
- use new python macros

* Sun Jun 21 2015 daviddavid <daviddavid> 1.4.1-1.mga6
+ Revision: 837931
- new version: 1.4.1
- rename and rediff Patch0
- add more docs
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-9.mga5
+ Revision: 741955
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3.0-8.mga5
+ Revision: 728368
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-7.mga5
+ Revision: 687999
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.3.0-6.mga5
+ Revision: 628610
- Rebuild for new Python

* Fri Apr 25 2014 daviddavid <daviddavid> 1.3.0-5.mga5
+ Revision: 618046
- fix list some files explicitly to avoid listing locale files twice
- rename Patch0 (according Mageia Policy)

* Thu Apr 24 2014 daviddavid <daviddavid> 1.3.0-4.mga5
+ Revision: 617680
- fix rpmlint warning: "file-not-in-%%lang"
- update URL

* Tue Apr 22 2014 daviddavid <daviddavid> 1.3.0-3.mga5
+ Revision: 617359
- remove unneeded provides package (thanks philippem)

* Mon Apr 21 2014 daviddavid <daviddavid> 1.3.0-2.mga5
+ Revision: 617313
- fix correct requires on python-html2text
- remove html2text on requires for python 3 package

* Mon Apr 21 2014 daviddavid <daviddavid> 1.3.0-1.mga5
+ Revision: 617236
- add support of python 3
- imported package python-django-userena

